#ifndef _KGR_PATCH_BSC1046206_H
#define _KGR_PATCH_BSC1046206_H

#include <linux/types.h>

struct nfsd4_compoundres;
struct nfsd4_getdeviceinfo;
struct nfsd4_layoutget;

int kgr_patch_bsc1046206_init(void);
void kgr_patch_bsc1046206_cleanup(void);

__be32 kgr_nfsd4_encode_getdeviceinfo(struct nfsd4_compoundres *resp,
				__be32 nfserr, struct nfsd4_getdeviceinfo *gdev);
__be32 kgr_nfsd4_encode_layoutget(struct nfsd4_compoundres *resp,
				__be32 nfserr, struct nfsd4_layoutget *lgp);

#define KGR_PATCH_BSC1046206_FUNCS					\
	KGR_PATCH_OBJ(nfsd4_encode_getdeviceinfo,			\
			kgr_nfsd4_encode_getdeviceinfo, "nfsd"),	\
	KGR_PATCH_OBJ(nfsd4_encode_layoutget,				\
			kgr_nfsd4_encode_layoutget, "nfsd"),

#endif
